@import "tailwindcss";

@theme {
  --font-sans: var(--font-montserrat), system-ui, sans-serif;
  --font-mono: var(--font-geist-mono), monospace;

  --font-inter: var(--font-inter), system-ui, sans-serif;
  --font-inria: var(--font-inria), system-ui, sans-serif;
  --font-poppins: var(--font-poppins), system-ui, sans-serif;
  --font-kdam: var(--font-kdam), system-ui, sans-serif;

  --color-background: #ffffff;
  --color-foreground: #171717;
  --color-theme: #f0f0f0;
  --color-black: #000000;
  --color-white: #ffffff;
  --color-themeGray: #f0f0f0;
  --color-themeBlack: #212121;
  --color-themeBlue: #2d2cce;
  --color-themePrimary: #009688;
}

html {
  scroll-behavior: smooth;
}

button {
  cursor: pointer;
}

body {
  font-family: var(--font-sans);
  background: var(--color-background);
  color: var(--color-foreground);
  font-weight: 400;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield; /* Firefox */
}
.range-slider-wrapper {
  position: relative;
}

.slider-handle-tooltip {
  position: absolute;
  width: 24px;
  height: 24px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}

/* Match handle positions of the slider */
.custom-range-slider .range-slider__thumb[data-lower] {
  z-index: 2 !important;
}

.custom-range-slider .range-slider__thumb[data-upper] {
  z-index: 2 !important;
}

/* Tooltip handle overlay positions */
.slider-handle-tooltip.handle-0 {
  left: calc(var(--low) * 1%);
}

.slider-handle-tooltip.handle-1 {
  left: calc(var(--high) * 1%);
}

.clip-video {
  clip-path: polygon(0% 0%, 100% 0%, 96% 100%, 0% 100%, 0% 0%);
}

@keyframes shine {
  100% {
    left: 125%;
  }
}

@keyframes zoom-fade {
  0%,
  100% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    transform: scale(1.1);
    opacity: 0.8;
  }
}

.animate-[shine_1s] {
  animation: shine 1s forwards;
}

.animate-[zoom-fade_6s_infinite_linear] {
  animation: zoom-fade 6s infinite linear;
}
